{*****************************************************************************}
{                                                                             }
{    Tnt Extended Editors                                                     }
{      http://lummie.co.uk                                                    }
{        Version: 1.0.3                                                       }
{                                                                             }
{    Copyright (c) 2005 Matt harrison (http://www.lummie.co.uk)               }
{    Descended from TNT Controls                                              }
{        Copyright (c) 2002, 2003 Troy Wolbrink (troy.wolbrink@ccci.org)      }                                                                   
{                                                                             }
{*****************************************************************************}
unit TntExEditReg;

interface

uses
  SysUtils, Classes, Controls, dialogs;

procedure Register;

implementation

// remout define if you dont want the trees
{$DEFINE VirtualTrees}

uses
  TntExButtonEdit,
  TntExIntegerEdit,
  TntExDropDownMemo,
  TntExDropDownVirtualStringTree,
  TntExDropDownVirtualDrawTree,
  TntExDropDownRichEdit,
  TntExDropDownControl
  ;


procedure Register;
begin
  RegisterComponents('Tnt Extended Editors', [TTntExButtonEdit, TTntExIntegerEdit, TTntExDropDownMemo, TTntExDropDownRichEdit, TTntExDropDownControl]);
  {$IFDEF VirtualTrees}
  RegisterComponents('Tnt Extended Editors', [TTntExDropDownVirtualStringTree, TTntExDropDownVirtualDrawTree]);
  {$ENDIF}
end;

end.

